Skip to main content

Get workspace file content

GET 

/v1/workspaces/:workspaceId/files/:filePath

The Go API also registers a wildcard route so filePath may contain slashes.

Request​

Responses​

File content.

Response Headers
    ETag

    Entity tag of the returned version.

    X-Kothar-File-Provenance

    Base64url-encoded FileProvenance JSON for the exact returned version, when available.

    X-Kothar-File-User-Id

    User id recorded when this version was written, when available.

    X-Kothar-File-Username

    Display name recorded when this version was written, when available.

    X-Kothar-File-Version-Id

    Exact S3 version id of the returned content.